### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-hero-banner/ecl-hero-banner-cta-link.directive.ts`

### Deprecated

Will be removed. Functionality implemented in the 'ecl-hero-banner' component.

### Extends

`ECLBaseDirective`

### Metadata

Selector | `[eclHeroBannerCtaLink]`

### Index

###### Properties

- className

###### Methods

- getCssClasses

###### Inputs

- class
- e2eAttr

###### HostBindings

- class

### Constructor

`constructor()`

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `string`
Default value : `'ecl-hero-banner__link-cta'`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

className
Type : `string`
Default value : `'ecl-hero-banner__link-cta'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""